export const GET_ASSESSMENTS_START = 'GET_ASSESSMENTS_START';
export const GET_ASSESSMENTS_SUCCESS = 'GET_ASSESSMENTS_SUCCESS';
export const GET_ASSESSMENTS_FAIL = 'GET_ASSESSMENTS_FAIL';

export const GET_ASSESSMENT_INFO_START = 'GET_ASSESSMENT_INFO_START';
export const GET_ASSESSMENT_INFO_SUCCESS = 'GET_ASSESSMENT_INFO_SUCCESS';
export const GET_ASSESSMENT_INFO_FAIL = 'GET_ASSESSMENT_INFO_FAIL';

export const GET_ASSESSMENTS_GROUPS_START = 'GET_ASSESSMENTS_GROUPS_START';
export const GET_ASSESSMENTS_GROUPS_SUCCESS = 'GET_ASSESSMENTS_GROUPS_SUCCESS';
export const GET_ASSESSMENTS_GROUPS_FAIL = 'GET_ASSESSMENTS_GROUPS_FAIL';

export const ADD_ASSESSMENTS_GROUP_START = 'ADD_ASSESSMENTS_GROUP_START';
export const ADD_ASSESSMENTS_GROUP_SUCCESS = 'ADD_ASSESSMENTS_GROUP_SUCCESS';
export const ADD_ASSESSMENTS_GROUP_FAIL = 'ADD_ASSESSMENTS_GROUP_FAIL';

export const CHANGE_ASSESSMENTS_GROUP_START = 'CHANGE_ASSESSMENTS_GROUP_START';
export const CHANGE_ASSESSMENTS_GROUP_SUCCESS = 'CHANGE_ASSESSMENTS_GROUP_SUCCESS';
export const CHANGE_ASSESSMENTS_GROUP_FAIL = 'CHANGE_ASSESSMENTS_GROUP_FAIL';

export const CREATE_NEW_ASSIGNMENT_START = 'CREATE_NEW_ASSIGNMENT_START';
export const CREATE_NEW_ASSIGNMENT_SUCCESS = 'CREATE_NEW_ASSIGNMENT_SUCCESS';
export const CREATE_NEW_ASSIGNMENT_FAIL = 'CREATE_NEW_ASSIGNMENT_FAIL';

export const CREATE_NEW_ATTENDANCE_START = 'CREATE_NEW_ATTENDANCE_START';
export const CREATE_NEW_ATTENDANCE_SUCCESS = 'CREATE_NEW_ATTENDANCE_SUCCESS';
export const CREATE_NEW_ATTENDANCE_FAIL = 'CREATE_NEW_ATTENDANCE_FAIL';

export const CREATE_NEW_WORKSPACE_START = 'CREATE_NEW_WORKSPACE_START';
export const CREATE_NEW_WORKSPACE_SUCCESS = 'CREATE_NEW_WORKSPACE_SUCCESS';
export const CREATE_NEW_WORKSPACE_FAIL = 'CREATE_NEW_WORKSPACE_FAIL';

export const GET_STUDENTS_ASSESSMENTS_START = 'GET_STUDENTS_ASSESSMENTS_START';
export const GET_STUDENTS_ASSESSMENTS_SUCCESS = 'GET_STUDENTS_ASSESSMENTS_SUCCESS';
export const GET_STUDENTS_ASSESSMENTS_FAIL = 'GET_STUDENTS_ASSESSMENTS_FAIL';

export const GET_STUDENTS_ASSIGNMENT_START = 'GET_STUDENTS_ASSIGNMENT_START';
export const GET_STUDENTS_ASSIGNMENT_SUCCESS = 'GET_STUDENTS_ASSIGNMENT_SUCCESS';
export const GET_STUDENTS_ASSIGNMENT_FAIL = 'GET_STUDENTS_ASSIGNMENT_FAIL';

export const GET_STUDENTS_WORKSPACE_START = 'GET_STUDENTS_WORKSPACE_START';
export const GET_STUDENTS_WORKSPACE_SUCCESS = 'GET_STUDENTS_WORKSPACE_SUCCESS';
export const GET_STUDENTS_WORKSPACE_FAIL = 'GET_STUDENTS_WORKSPACE_FAIL';

export const GET_STUDENTS_ATTENDANCE_START = 'GET_STUDENTS_ATTENDANCE_START';
export const GET_STUDENTS_ATTENDANCE_SUCCESS = 'GET_STUDENTS_ATTENDANCE_SUCCESS';
export const GET_STUDENTS_ATTENDANCE_FAIL = 'GET_STUDENTS_ATTENDANCE_FAIL';

export const GET_STUDENTS_ASSIGNMENT_MARK_START = 'GET_STUDENTS_ASSIGNMENT_MARK_START';
export const GET_STUDENTS_ASSIGNMENT_MARK_SUCCESS = 'GET_STUDENTS_ASSIGNMENT_MARK_SUCCESS';
export const GET_STUDENTS_ASSIGNMENT_MARK_FAIL = 'GET_STUDENTS_ASSIGNMENT_MARK_FAIL';

export const GET_STUDENTS_WORKSPACE_MARK_START = 'GET_STUDENTS_WORKSPACE_MARK_START';
export const GET_STUDENTS_WORKSPACE_MARK_SUCCESS = 'GET_STUDENTS_WORKSPACE_MARK_SUCCESS';
export const GET_STUDENTS_WORKSPACE_MARK_FAIL = 'GET_STUDENTS_WORKSPACE_MARK_FAIL';

export const CLEAR_CURRENT_ASSESSMENT = 'CLEAR_CURRENT_ASSESSMENT';

export const UPDATE_ASSIGNMENT_START = 'UPDATE_ASSIGNMENT_START';
export const UPDATE_ASSIGNMENT_SUCCESS = 'UPDATE_ASSIGNMENT_SUCCESS';
export const UPDATE_ASSIGNMENT_FAIL = 'UPDATE_ASSIGNMENT_FAIL';

export const GET_WORKSPACE_INFO_START = 'GET_WORKSPACE_INFO_START';
export const GET_WORKSPACE_INFO_SUCCESS = 'GET_WORKSPACE_INFO_SUCCESS';
export const GET_WORKSPACE_INFO_FAIL = 'GET_WORKSPACE_INFO_FAIL';

export const UPDATE_WORKSPACE_START = 'UPDATE_WORKSPACE_START';
export const UPDATE_WORKSPACE_SUCCESS = 'UPDATE_WORKSPACE_SUCCESS';
export const UPDATE_WORKSPACE_FAIL = 'UPDATE_WORKSPACE_FAIL';

export const GET_ATTENDANCE_INFO_START = 'GET_ATTENDANCE_INFO_START';
export const GET_ATTENDANCE_INFO_SUCCESS = 'GET_ATTENDANCE_INFO_SUCCESS';
export const GET_ATTENDANCE_INFO_FAIL = 'GET_ATTENDANCE_INFO_FAIL';

export const UPDATE_ATTENDANCE_START = 'UPDATE_ATTENDANCE_START';
export const UPDATE_ATTENDANCE_SUCCESS = 'UPDATE_ATTENDANCE_SUCCESS';
export const UPDATE_ATTENDANCE_FAIL = 'UPDATE_ATTENDANCE_FAIL';

export const PATCH_ASSIGNMENT_START = 'PATCH_ASSIGNMENT_START';
export const PATCH_ASSIGNMENT_SUCCESS = 'PATCH_ASSIGNMENT_SUCCESS';
export const PATCH_ASSIGNMENT_FAIL = 'PATCH_ASSIGNMENT_FAIL';

export const PATCH_WORKSPACE_START = 'PATCH_WORKSPACE_START';
export const PATCH_WORKSPACE_SUCCESS = 'PATCH_WORKSPACE_SUCCESS';
export const PATCH_WORKSPACE_FAIL = 'PATCH_WORKSPACE_FAIL';

export const GET_CURRENT_STUDENT_MARK_START = 'GET_CURRENT_STUDENT_MARK_START';
export const GET_CURRENT_STUDENT_MARK_SUCCESS = 'GET_CURRENT_STUDENT_MARK_SUCCESS';
export const GET_CURRENT_STUDENT_MARK_FAIL = 'GET_CURRENT_STUDENT_MARK_FAIL';

export const SET_CURRENT_STUDENT_MARK_START = 'SET_CURRENT_STUDENT_MARK_START';
export const SET_CURRENT_STUDENT_MARK_SUCCESS = 'SET_CURRENT_STUDENT_MARK_SUCCESS';
export const SET_CURRENT_STUDENT_MARK_FAIL = 'SET_CURRENT_STUDENT_MARK_FAIL';

export const SET_CURRENT_ASSESSMENT = 'SET_CURRENT_ASSESSMENT';

export const GET_STUDENT_ATTENDANCE_STATS_START = 'GET_STUDENT_ATTENDANCE_STATS_START';
export const GET_STUDENT_ATTENDANCE_STATS_SUCCESS = 'GET_STUDENT_ATTENDANCE_STATS_SUCCESS';
export const GET_STUDENT_ATTENDANCE_STATS_FAIL = 'GET_STUDENT_ATTENDANCE_STATS_FAIL';

export const GET_ASSIGNMENT_ATTACHMENTS_START = 'GET_ASSIGNMENT_ATTACHMENTS_START';
export const GET_ASSIGNMENT_ATTACHMENTS_SUCCESS = 'GET_ASSIGNMENT_ATTACHMENTS_SUCCESS';
export const GET_ASSIGNMENT_ATTACHMENTS_FAIL = 'GET_ASSIGNMENT_ATTACHMENTS_FAIL';

export const GET_STUDENT_ATTENDANCE_DATE_START = 'GET_STUDENT_ATTENDANCE_DATE_START';
export const GET_STUDENT_ATTENDANCE_DATE_SUCCESS = 'GET_STUDENT_ATTENDANCE_DATE_SUCCESS';
export const GET_STUDENT_ATTENDANCE_DATE_FAIL = 'GET_STUDENT_ATTENDANCE_DATE_FAIL';

export const CREATE_USER_ATTENDANCE_START = 'CREATE_USER_ATTENDANCE_START';
export const CREATE_USER_ATTENDANCE_SUCCESS = 'CREATE_USER_ATTENDANCE_SUCCESS';
export const CREATE_USER_ATTENDANCE_FAIL = 'CREATE_USER_ATTENDANCE_FAIL';

export const GET_USER_ATTENDANCE_START = 'GET_USER_ATTENDANCE_START';
export const GET_USER_ATTENDANCE_SUCCESS = 'GET_USER_ATTENDANCE_SUCCESS';
export const GET_USER_ATTENDANCE_FAIL = 'GET_USER_ATTENDANCE_FAIL';

export const CHANGE_GROUP_LEADER_START = 'CHANGE_LEADER_START';
export const CHANGE_GROUP_LEADER_SUCCESS = 'CHANGE_GROUP_LEADER_SUCCESS';
export const CHANGE_GROUP_LEADER_FAIL = 'CHANGE_GROUP_LEADER_FAIL';